Allocation - Get Many Entitlements Reserved V2
Get the reserved entitlements for the scope.
GET https://api.powerplatform.com/licensing/allocationsV2/entitlements/reserved?api-version=2024-10-01
GET https://api.powerplatform.com/licensing/allocationsV2/entitlements/reserved?$filter={$filter}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
The API version. |
|
$filter
|
query |
string |
OData filter expression. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Entitlement |
The reserved allocation for an entitlement within a scope. |
|
Entitlement |
The unit of measure for an entitlement. |
|
Reserved |
The reserved quantity and unit for an entitlement. |
EntitlementReservedResponseModel
The reserved allocation for an entitlement within a scope.
| Name | Type | Description |
|---|---|---|
| entitlementId |
string |
|
| reserved |
The reserved quantity and unit for an entitlement. |
EntitlementUnit
The unit of measure for an entitlement.
| Value | Description |
|---|---|
| NotSpecified | |
| MB | |
| Count | |
| Hour |
ReservedModel
The reserved quantity and unit for an entitlement.
| Name | Type | Description |
|---|---|---|
| quantity |
number (double) |
|
| unit |
The unit of measure for an entitlement. |